> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a model builder

> Partially update one of the organization's own builders.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /model_builders/{model_builder_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /model_builders/{model_builder_id}:
    patch:
      tags:
        - Model builders
      summary: Update a model builder
      description: Partially update one of the organization's own builders.
      operationId: update_model_builder_model_builders__model_builder_id__patch
      parameters:
        - name: model_builder_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Model Builder Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateModelBuilder'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelBuilder'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateModelBuilder:
      properties:
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
      type: object
      title: UpdateModelBuilder
      description: Body for a partial model-builder update.
    ModelBuilder:
      properties:
        id:
          type: string
          title: Id
        organization_id:
          type: string
          title: Organization Id
        project_id:
          type: string
          title: Project Id
        model_id:
          type: string
          title: Model Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Pipeline config of entry and calculation elements.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - organization_id
        - project_id
        - model_id
        - name
        - config
      title: ModelBuilder
      description: A model_builders row.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.